set `date`

echo
echo "Total amount of sources for the GNU SPICE GUI Project :"
echo
echo "  As at $4 $3 $2 $6"
echo

ls -l ./src/Makefile ./src/*.?pp ./src/*/*.?pp ./src/*/*/*.?pp ./src/icons/*.xpm | gawk '
BEGIN { chrcnt = 0;   filecnt = 0 }
      { chrcnt += $5; filecnt++ }
END   { printf "  C/C++  : %6.1f KByte (%7s Bytes) in %3s files\n", chrcnt/1024, chrcnt, filecnt } '

ls -l ./html/Makefile ./html/*.html | gawk '
BEGIN { chrcnt = 0;   filecnt = 0 }
      { chrcnt += $5; filecnt++ }
END   { printf "  HTML   : %6.1f KByte (%7s Bytes) in %3s files\n", chrcnt/1024, chrcnt, filecnt } '

ls -l ./svg/Makefile ./svg/*.svg | gawk '
BEGIN { chrcnt = 0;   filecnt = 0 }
      { chrcnt += $5; filecnt++ }
END   { printf "  Diags  : %6.1f KByte (%7s Bytes) in %3s files\n", chrcnt/1024, chrcnt, filecnt } '

ls -Rl ./sch/Makefile ./sch/*/*.sch | gawk '
BEGIN { chrcnt = 0;   filecnt = 0 }
      { chrcnt += $5; filecnt++ }
END   { printf "  Schems : %6.1f KByte (%7s Bytes) in %3s files\n", chrcnt/1024, chrcnt, filecnt } '

ls -lR ./lib/Makefile ./lib/models/*.mod ./lib/symbols/*.sym | gawk '
BEGIN { chrcnt = 0;   filecnt = 0 }
      { chrcnt += $5; filecnt++ }
END   { printf "  Models : %6.1f KByte (%7s Bytes) in %3s files\n", chrcnt/1024, chrcnt, filecnt } '

ls -lR ./Authors ./ChangeLog ./Install ./Makefile ./ReadMe ./ToDo ./charcnt.sh ./gspiceui.1 ./gspiceui.lsm ./release-notes-v?.?.??.txt | gawk '
BEGIN { chrcnt = 0;   filecnt = 0 }
      { chrcnt += $5; filecnt++ }
END   { printf "  Other  : %6.1f KByte (%7s Bytes) in %3s files\n", chrcnt/1024, chrcnt, filecnt } '

echo
